> For the complete documentation index, see [llms.txt](https://docs.alignlabs.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alignlabs.dev/align-api/onramp-transfers/simulate-sandbox.md).

# Simulate (Sandbox)

## POST /v0/customers/{customer\_id}/onramp-transfer/simulate

> Simulate Onramp Transfer Actions

```json
{"openapi":"3.0.0","info":{"title":"Onramp API","version":"0"},"servers":[{"url":"https://api.alignlabs.dev","description":"Production server"},{"url":"https://api-sandbox.alignlabs.dev","description":"Sandbox server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Api-Key"}}},"paths":{"/v0/customers/{customer_id}/onramp-transfer/simulate":{"post":{"summary":"Simulate Onramp Transfer Actions","parameters":[{"name":"customer_id","in":"path","description":"The unique identifier of the customer","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["action","transfer_id"],"properties":{"action":{"type":"string","enum":["complete_transfer"],"description":"The action to simulate"},"transfer_id":{"type":"string","format":"uuid","description":"The ID of the transfer to simulate action on"},"simulation_overrides":{"type":"object","description":"Optional overrides for simulation","properties":{"deposit_source":{"type":"object","required":["virtual_account_id"],"properties":{"virtual_account_id":{"type":"string","format":"uuid","description":"The virtual account ID to use as deposit source"}}}}}}}}}},"responses":{"200":{"description":"Successful simulation response","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"A message describing the result of the simulation"}}}}}}}}}}}
```
